# $Revision: 1.12 $, $Date: 2010/09/12 16:04:22 $
# TODO
# - package autostart script: /etc/xdg/autostart/guake.desktop
Summary:	guake - a drop-down terminal
Summary(pl.UTF-8):	guake - wyskakujący terminal
Name:		guake
Version:	0.4.2
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://guake.org/files/%{name}-%{version}.tar.gz
# Source0-md5:	1f0feff3bfc15c998147dbf07d9d8a8e
Patch0:		%{name}-desktop.patch
URL:		http://guake-terminal.org/
BuildRequires:	GConf2-devel
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	intltool >= 0.35
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python-pygtk-devel
BuildRequires:	python-vte
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2
Requires:	dbus(org.freedesktop.Notifications)
Requires:	python-gnome-gconf
Requires:	python-pygtk-glade
Requires:	python-pynotify
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Guake is a drop-down terminal for Gnome Desktop Environment, so you
just need to press a key to invoke him, and press again to hide.

%description -l pl.UTF-8
Guake to wyskakujący terminal dla Gnome, a więc wystarczy nacisnąć
przycisk aby go wywołać i nacisnąć ponownie by schować.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/guake/*.la

mv $RPM_BUILD_ROOT%{_datadir}/locale/{no,nb}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%gconf_schema_install guake.schemas

%preun
%gconf_schema_uninstall guake.schemas

%postun
%update_desktop_database_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/guake
%attr(755,root,root) %{_libdir}/guake/*.so
%{_libdir}/guake/*.py
%{_datadir}/guake
%{_pixmapsdir}/guake
%{_desktopdir}/*.desktop
%{_datadir}/dbus-1/services/org.guake.Guake.service
%{_sysconfdir}/gconf/schemas/guake.schemas
%{_sysconfdir}/xdg/autostart/guake.desktop
%{_mandir}/man1/guake.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: guake.spec,v $
Revision 1.12  2010/09/12 16:04:22  dirdival
- updated to 0.4.2

Revision 1.11  2010/08/19 08:46:49  glen
- no -> nb; rel 4

Revision 1.10  2010/07/09 11:17:08  arekm
- release 3

Revision 1.9  2010/07/08 07:52:58  arekm
- release 2

Revision 1.8  2010/05/07 16:18:02  dirdival
- updated to 0.4.1
- removed workaround for locale names - fixed in source

Revision 1.7  2010/02/16 23:05:25  sparky
- BR: gettext-devel, intltool, pkgconfig, rpm-pythonprov

Revision 1.6  2010/02/16 22:37:04  ankry
- simpler fix for locale names, rel. 2

Revision 1.5  2009/11/06 22:53:50  dirdival
- up to 0.4.0
- patch desktop added
- pl description added

Revision 1.4  2009/08/17 12:14:16  glen
- fix ru locale. LP#413301
- --disable-static and files cleanup
- rel 3

Revision 1.3  2009/07/05 18:25:21  pawelz
- dropped R: notification-daemon
- R: dbus(org.freedesktop.Notifications)
- typo in Summary pl
- rel 2

Revision 1.2  2008/08/20 06:46:04  pablo
- added missing Requires

Revision 1.1  2008/08/06 16:12:17  arekm
- initial

